package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.CityObject;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class CityObjectNode extends Renderable implements FeatureNode{

	private final CityObject co;

	public CityObjectNode(CityObject co) {
		this.co = co;
	}

	@Override
	public void refreshTextColor() {
		if (!co.isValidated()) {
			setStatus(CheckStatus.NOT_CHECKED);
		} else if (co.containsAnyError()) {
			setStatus(CheckStatus.ERROR);
		} else {
			setStatus(CheckStatus.OK);
		}
	}

	@Override
	public String getText() {
		return co.getGmlId().getGmlString();
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.render(co);
	}

	@Override
	public CityObject getFeature() {
		return co;
	}

}
